section.grid-wrapper {
    display: flex;
    flex-direction: row;
    padding: 35px 0;
    margin: 0 20px;
}
/*
.grid {
    width:100%;
    white-space: nowrap;
    overflow-y:hidden;
    position:relative
}*/

.grid {
    overflow-y: hidden;
    position: relative;
    flex-wrap: nowrap;
    
}


.grid-empty{
    overflow-x:hidden;
}
.grid-full{
   
    width:100%;
    margin-top:3rem;
}



.grid::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
    border-radius: 10px;
}

.grid::-webkit-scrollbar
{
    width: 6px;
    background-color: #F5F5F5;
}

.grid::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-image: linear-gradient(to right, #536690, #21496B);
}

#playback-indicator {
   position: absolute;
    top: 0;
    bottom: 0;
    z-index: 0;
    left: 0px;
    width: 2px;
    background: white;
}

.instruments {
    padding: 0 20px 0 0;
}

.instruments img {
    width: 25px;
    height: auto;
}

.channel {
    width: 100%;
}

.drums.channel {
    height: 120px;
    margin-top: 2px;
}

.cymbals .row{
    height:40px;
}

.snare .row{
    height:60px;
}

.tom .row{
    height:40px;
}

.bass-drum .row{
    height:120px;
}

.hi-hat .row{
    height:60px;
}


.cymbals .row:first-child .note {
    margin-top: 20px;
}

.cymbals .row:nth-child(2)  .note {
    margin-top: 20px;
}


.snare .row:first-child .note {
    margin-top: 42px;
}

.snare .row:nth-child(2) .note {
    margin-bottom: 42px;
}

.bass-drum .note {
    margin-top: 48px;
}

.snare .row:first-child .note {
    margin-top: 42px;
}

.hi-hat .row:first-child .note {
    margin-top: 42px;
}

/*.chord {
    display: inline-block;
    width: 25%;
}*/

.chord {
    display: flex;
    min-width: 465px;
    width:100%;
    flex-direction: row;
    justify-content: flex-start;
}

@media screen and (max-width:1350px){
     .chord {  min-width: 400px;}
}

.col {
   position: relative;  
   width:6.25%; 
}

.col.two-fourth{
     width: 12.44%;
}
.col.four-fourth{
     width: 6.22%;
}

.col.twelve-eightth {
    width: 4.15%;
}

.col .row { background: #ffffff21; }

.bass .col .row:nth-child(2n) { background: none; }

.drums .row {
    background: #ffffff52;
    padding:0;
}

span.note-name {
   font-size: 12px;
    padding-left: 4px;
}

/*span.note-name {
    font-size: 12px;
    padding-left: 4px;
    position: absolute;
    top: -13px;
}
*/
.note.chords .note-name {
    color: #222222;
}


.row {
   padding: 1px 0;
    height: 36px;
}


.note {
    position: absolute;
    height: 36px;
    border-radius: 8px;
    z-index: 1;
    color:#360A0B;
    font-size:18px;
    font-weight:500;
    
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.83) 0%, rgba(255, 255, 255, 0.52) 100%);
}

.note span{
    position:absolute;
    left:6px;
    top:50%;
    transform:translateY(-50%);
}


.note.melody{
    background: linear-gradient(180deg, rgba(182, 130, 219, 0.8) 0%, rgba(202, 172, 235, 0.5) 100%);
}

.note.chords{
   background: linear-gradient(180deg, rgba(255, 255, 255, 0.83) 0%, rgba(255, 255, 255, 0.52) 100%);
}

.note.decoration{
    background: linear-gradient(180deg, rgba(46, 207, 199, 0.83) 0%, rgba(46, 207, 199, 0.52) 100%);
}

.note.bass{
    background: linear-gradient(180deg, rgba(64, 128, 201, 0.83) 0%, rgba(64, 128, 201, 0.52) 100%);
 
}

.note-full {
    width: 1600%;
}

.note-half {
    width:800%;
}

.note-quarter {
    width:400%;
}

.note-eighth {
    width:200%;
}

.note-sixteenth {
    width:100%;
}


.chord-index{
    margin-top:3rem;
    margin-right:20px;
}

.chord-index div {
    font-size: 14px;
    height: 36px;
    display:flex;
    align-items:center;
    text-align: center;
    padding: 1px 6px 0 0px;
}


.instrument-wrapper{
    
}

